import { ESIEventData } from ".";
/**
 * Processes <esi:var> tags within a chunk of text
 * returns the processed chunk
 *
 * @param {ESIEventData} eventData event data for the current request
 * @param {string} chunk string to process
 * @returns {Promise<string>} processed string
 */
export declare function process(eventData: ESIEventData, chunk: string): Promise<string>;
declare type replaceFunction = (eventData: ESIEventData, var_match: [String: string, ...args: string[]]) => string;
/**
 * Processes a string and replaces any esi vars within string
 * returns the processed chunk
 *
 * @param {ESIEventData} eventData event data for the current request
 * @param {string} str string to replace vars in
 * @param {Function} [cb] optional function to pass matches too
 * @returns {string} processed string
 */
export declare function replace_vars(eventData: ESIEventData, str: string, cb?: replaceFunction): string;
/**
 * Takes an ESI Var and evaluates it
 * Escapes string if required
 *
 * @param {ESIEventData} eventData event data for the current request
 * @param {string[]} var_match var to evaluate
 * @returns {string} processed string
 */
export declare function esi_eval_var(eventData: ESIEventData, var_match: [String: string, ...args: string[]]): string;
export {};
