import { customESIVarsFunction, fetchFunction } from ".";
import { ESIEventData } from ".";
/**
 * Handles any <esi:include tags in supplied chunk
 * returns processed chunk as a string
 *
 * @param {ESIEventData} eventData config for the current request
 * @param {string} chunk chunk of text that we are about to process
 * @param {boolean} evalVars Whether or not we need to process any esi Vars in the content
 * @param {fetchFunction} fetcher original fetch function from ESI Class
 * @param {customESIFunction} [customESIFunction] original customESIFunction if defined in the ESI Class
 * @returns {string} processed chunk as a string
 */
export declare function process(eventData: ESIEventData, chunk: string, evalVars: boolean, fetcher: fetchFunction, customESIFunction?: customESIVarsFunction): Promise<string>;
