declare type tagData = {
    from: number;
    to: number;
    tag: string;
};
export declare type tag = {
    opening: tagData;
    closing: tagData | null;
    tagname: string;
    whole: string | null;
    contents: string | null;
};
export declare class tagParser {
    content: string;
    pos: number;
    constructor(content: string, offset?: number);
    next(tagname?: string): Promise<[tag | null, string | undefined, string | undefined]>;
    openingTag(tag: string): RegExp;
    eitherTag(tag: string): RegExp;
    closeTag(tag: string): RegExp;
    findWholeTag(tag?: string): Promise<tag | null>;
}
export {};
